package com.gestion.model;
// Generated 12-12-2019 03:19:03 PM by Hibernate Tools 5.2.12.Final

import java.util.ArrayList;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Usuarios generated by hbm2java
 */
@Entity
@Table(name = "usuarios", catalog = "gestion_actividades")
public class Usuarios implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idUsuario;
	private Personas personas;
	private TipoUsuario tipoUsuario;
	private String user;
	private String password;
	private String email;
	private List<Actividades> actividadeses = new ArrayList<Actividades>();

	public Usuarios() {
	}

	public Usuarios(Personas personas, TipoUsuario tipoUsuario, String user, String password, String email) {
		this.personas = personas;
		this.tipoUsuario = tipoUsuario;
		this.user = user;
		this.password = password;
		this.email = email;
	}

	public Usuarios(Personas personas, TipoUsuario tipoUsuario, String user, String password, String email,
			List<Actividades> actividadeses) {
		this.personas = personas;
		this.tipoUsuario = tipoUsuario;
		this.user = user;
		this.password = password;
		this.email = email;
		this.actividadeses = actividadeses;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_usuario", unique = true, nullable = false)
	public Integer getIdUsuario() {
		return this.idUsuario;
	}

	public void setIdUsuario(Integer idUsuario) {
		this.idUsuario = idUsuario;
	}

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "id_persona", nullable = false)
	public Personas getPersonas() {
		return this.personas;
	}

	public void setPersonas(Personas personas) {
		this.personas = personas;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "tipo_usuario", nullable = false)
	public TipoUsuario getTipoUsuario() {
		return this.tipoUsuario;
	}

	public void setTipoUsuario(TipoUsuario tipoUsuario) {
		this.tipoUsuario = tipoUsuario;
	}

	@Column(name = "user", nullable = false, length = 150)
	public String getUser() {
		return this.user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	@Column(name = "password", nullable = false, length = 150)
	public String getPassword() {
		return this.password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	@Column(name = "email", nullable = false, length = 150)
	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "usuarios")
	public List<Actividades> getActividadeses() {
		return actividadeses;
	}

	public void setActividadeses(List<Actividades> actividadeses) {
		this.actividadeses = actividadeses;
	}

}
